'From Squeak3.6alpha of ''17 March 2003'' [latest update: #5179] on 2 May 2003 at 3:14:07 am'!
"Change Set:		gamesTests-asm
Date:			2 May 2003
Author:			Alejandro Magistrello

trivial test for games"!

TestCase subclass: #MorphicGamesTestCase
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Morphic-Games-Test'!

!MorphicGamesTestCase methodsFor: 'as yet unclassified' stamp: 'asm 5/2/2003 02:17'!
testChess
	"open a Chess game"
	| chess |
	self
		shouldnt: [(chess _ ChessMorph new) openInWorld]
		raise: Error.
	self
		shouldnt: [chess autoPlay]
		raise: Error.
	self
		shouldnt: [chess validateGamePosition]
		raise: Error.
	self
		shouldnt: [chess delete]
		raise: Error! !

!MorphicGamesTestCase methodsFor: 'as yet unclassified' stamp: 'asm 5/2/2003 03:12'!
testChineseCheckers
	"play a ChineseCheckers game"
	| cc |
	self
		shouldnt: [(cc _ ChineseCheckers new) openInWorld]
		raise: Error.
	self
		shouldnt: [cc teams: #(2 5) autoPlay: {true. true}.]
		raise: Error.
	self
		shouldnt: [cc nextTurn]
		raise: Error.
	self
		shouldnt: [cc delete]
		raise: Error! !

!MorphicGamesTestCase methodsFor: 'as yet unclassified' stamp: 'asm 5/2/2003 02:39'!
testCipherPanel
	"opens a CipherPanel game"
	| cp |
	self
		shouldnt: [(cp _ CipherPanel new) openInWorld]
		raise: Error.
	self
		shouldnt: [cp delete]
		raise: Error! !

!MorphicGamesTestCase methodsFor: 'as yet unclassified' stamp: 'asm 5/2/2003 02:40'!
testCrosticPanel
	"opens a CrosticPanel game"
	| cp |
	self
		shouldnt: [(cp _ CrosticPanel new) openInWorld]
		raise: Error.
	self
		shouldnt: [cp delete]
		raise: Error! !

!MorphicGamesTestCase methodsFor: 'as yet unclassified' stamp: 'asm 5/2/2003 02:57'!
testFreeCell
	"Play with FreeCell."
	| freeCell report |
	self
		shouldnt: [(freeCell _ FreeCell new) openInWorld]
		raise: Error.
	self
		shouldnt: [freeCell board pickGame: 1.
				(((report _ self currentWorld firstSubmorph) isKindOf: SystemWindow)
					and: [self currentWorld firstSubmorph label = 'Spy Results'])
					ifTrue: [report delete].]
		raise: Error.
	self
		shouldnt: [freeCell delete]
		raise: Error! !

!MorphicGamesTestCase methodsFor: 'as yet unclassified' stamp: 'asm 5/2/2003 02:48'!
testMines
	"opens a Mines game"
	| mines |
	self
		shouldnt: [(mines _ Mines new) openInWorld]
		raise: Error.
	self
		shouldnt: [mines delete]
		raise: Error! !

!MorphicGamesTestCase methodsFor: 'as yet unclassified' stamp: 'asm 5/2/2003 02:50'!
testSameGame
	"opens a SameGame game"
	| same |
	self
		shouldnt: [(same _ SameGame new) openInWorld]
		raise: Error.
	self
		shouldnt: [same delete]
		raise: Error! !

!MorphicGamesTestCase methodsFor: 'as yet unclassified' stamp: 'asm 5/2/2003 02:55'!
testTetris
	"opens a Tetris game"
	| tetris |
	self
		shouldnt: [(tetris _ Tetris new) openInWorld]
		raise: Error.
	self
		shouldnt: [tetris delete]
		raise: Error! !

